Subject: Re: bug#14886: Fwd: bug#14886: Fwd: A significant slowdown calling font-lock-fontify-buffer from a hook

From: Alan Mackenzie <[email-masked]>
Date: Sun, 28 Jul 2013 09:58:29 +0000

Hello, Martin.

On Sat, Jul 27, 2013 at 12:20:38PM +0200, martin rudalics wrote:
>  > I've tried a brief ediff between the font-lock files in 24.3 and trunk,
>  > but haven't spotted the difference yet in font-lock-fontify-buffer which
>  > I suspect is there.

I am calling:

emacs -Q --eval "(progn (add-hook 'prog-mode-hook #'font-lock-fontify-buffer) (setq debug-on-error t))" ~/emacs/emacs.bzr/trunk/src/xdisp.c

using both emacs 24.3 and the trunk.  In 24.3, the processing is
immediate (~2s), whereas in the trunk it takes ~28s.

> Why should there be any difference?  The value that differs is that of
> `font-lock-fontify-buffer-function'.

In both 24.3 and trunk, `font-lock-fontify-buffer-function' ends up with
the value `jit-lock-refontify'.

> Calling `font-lock-fontify-buffer' from prog-mode does
> `font-lock-default-fontify-buffer'.  Calling it from c-mode does
> `jit-lock-refontify'.  Or what am I missing?

I don't understand what you mean by "from c-mode" and "from prog-mode".
Are you saying that that has somehow changed between 24.3 and the trunk?

> martin

-- 
Alan Mackenzie (Nuremberg, Germany).